<? include('checkcookie.php'); ?>
<h3>Просмотр сообщений. Последник сообщения показываются сверху</h3>
<br>

<?
if(isset($_POST["id"]))
{
	$id=$_POST["id"];
	$data=$_POST["data"];
	$newstext=$_POST["newstext"];

	mysql_query("UPDATE tb_adminmess SET data='$data', text='$newstext' where id='$id'");

	echo "<font color=\"green\"><b>Готово.</b></font><br><br>";
}

if(isset($_GET["id"]))
{
	$id=$_GET["id"];
	if ($_GET["option"]=="edit")
	{
		$tablae = mysql_query("SELECT * FROM tb_adminmess where id='$id'"); 
		while ($registroe = mysql_fetch_array($tablae))
		{ 
			?>
			<form method="post" action="adminmain.php?p=adminmessview">
				Дата и время сообщения: <input type="text" name="data" value="<?= $registroe["data"] ?>"><br>
				Текст сообщения:<br><textarea rows="20" cols="100" name="newstext"><?= $registroe["text"] ?></textarea><br>
				<input type="hidden" value="<?=$id ?>" name="id">
				<input type="submit" value="сохранить" class="button">
			</form>
			<?
		}
	}
	if ($_GET["option"]=="delete")
	{
		$id=$_GET["id"];
		mysql_query("DELETE FROM tb_adminmess WHERE id='$id'");

		echo "<font color=\"#cc0000\"><b>Сообщение удалено.</b></font><br><br>";
	}
}
?>

<br>
<table>
	<tr>
		<th>№</th>
		<th>Дата и время сообщения</th>
		<th>Текст сообщения</th>
		<th></th>
		<th></th>
	</tr>
	<?

	$sql="SELECT * FROM tb_adminmess order by id desc";

	$tabla = mysql_query($sql); 
	while ($registro = mysql_fetch_array($tabla))
	{
		?>
		<tr>
			<td><?=$registro["id"] ?></td>
			<td><?=$registro["data"] ?></td>
			<td><?=$registro["text"] ?></td>
			<td>
				<form method="post" action="adminmain.php?p=adminmessview&id=<?= $registro["id"] ?>&option=edit">
				<input type="submit" value="Редактировать" class="button">
				</form>
			</td>
			<td>
				<form method="post" action="adminmain.php?p=adminmessview&id=<?= $registro["id"] ?>&option=delete">
				<input type="submit" value="Удалить" class="button">
				</form>
			</td>
		</tr>
		<?
	} 
	?>
</table>